-- $Id: //depot/Projects/StarWars/Run/Data/Scripts/AI/SpaceMode/TacticalMultiplayerBuildSpaceUnitsGeneric.lua#11 $
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
-- (C) Petroglyph Games, Inc.
--
--
--  *****           **                          *                   *
--  *   **          *                           *                   *
--  *    *          *                           *                   *
--  *    *          *     *                 *   *          *        *
--  *   *     *** ******  * **  ****      ***   * *      * *****    * ***
--  *  **    *  *   *     **   *   **   **  *   *  *    * **   **   **   *
--  ***     *****   *     *   *     *  *    *   *  *   **  *    *   *    *
--  *       *       *     *   *     *  *    *   *   *  *   *    *   *    *
--  *       *       *     *   *     *  *    *   *   * **   *   *    *    *
--  *       **       *    *   **   *   **   *   *    **    *  *     *   *
-- **        ****     **  *    ****     *****   *    **    ***      *   *
--                                          *        *     *
--                                          *        *     *
--                                          *       *      *
--                                      *  *        *      *
--                                      ****       *       *
--
--/////////////////////////////////////////////////////////////////////////////////////////////////
-- C O N F I D E N T I A L   S O U R C E   C O D E -- D O   N O T   D I S T R I B U T E
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
--              $File: //depot/Projects/StarWars/Run/Data/Scripts/AI/SpaceMode/TacticalMultiplayerBuildSpaceUnitsGeneric.lua $
--
--    Original Author: James Yarrow
--
--            $Author: Steve_Copeland $
--
--            $Change: 34987 $
--
--          $DateTime: 2005/12/12 21:23:52 $
--
--          $Revision: #11 $
--
--/////////////////////////////////////////////////////////////////////////////////////////////////

require("pgevents")


function Definitions()
	
	Category = "Tactical_Multiplayer_Build_Space_Units_Generic"
	IgnoreTarget = true
	TaskForce = {
		{"ReserveForce"
		,"RS_Level_Two_Starbase_Upgrade | RS_Level_Three_Starbase_Upgrade | RS_Level_Four_Starbase_Upgrade | RS_Level_Five_Starbase_Upgrade = 0,1"
		,"ES_Level_Two_Starbase_Upgrade | ES_Level_Three_Starbase_Upgrade | ES_Level_Four_Starbase_Upgrade | ES_Level_Five_Starbase_Upgrade = 0,1"
		,"Rebel_X-Wing_Squadron | Pirate_Fighter_Squadron | Tie_Fighter_Squadron | Y-Wing_Squadron | Tie_Bomber_Squadron | A_Wing_Squadron | Z95_Headhunter_Squadron_MP | Scimitar_Squadron | K_Wing_Squadron | TIE_Phantom_Squadron | TIE_Avenger_Squadron | TIE_Defender_Squadron | E-Wing_Squadron | TIE_Droid_Squadron | B_Wing_Squadron | TIE_Interceptor_Squadron | Corellian_Corvette | Tartan_Patrol_Cruiser | Lancer_Frigate | IPV1_SYSTEM_PATROL_CRAFT | Corellian_Gunboat | Jedi_Cruiser | JEDI_CRUISER_R | JEDI_CRUISER_E | Broadside_Class_Cruiser | Marauder_Missile_Cruiser | Tyrant_Cruiser | Nebulon_B_Frigate | Acclamator_Assault_Ship | PIRATE_FRIGATE | Assault_Frigate_Mk1 | Alliance_Assault_Frigate | Victory_Destroyer | Interdictor_Cruiser | Liberator_Cruiser | Calamari_MC80 | Calamari_Cruiser | Star_Destroyer | Republic_Destroyer | Titan_Cruiser | Dauntless_Cruiser | Mediator_Cruiser | Viscount_Cruiser | Executor_SSD | Sovereign_SSD | Emperor_Space_Team | Vengeance_SSD | Fleet_Com_Rebel_Team | Fleet_Com_Empire_Team | Boba_Fett_Team_Space_MP | Accuser_Star_Destroyer | Darth_Team_Space_MP | Home_One | AnakinSolo | Han_Solo_Team_Space_MP | Red_Squadron | Sundered_Heart | Avenger_Star_Destroyer | Mediator_Hero | Piett_SSD = 0,3"}
	}
	RequiredCategories = {"Fighter | Bomber | Corvette | Frigate | Capital | SpaceHero"}
	AllowFreeStoreUnits = false

end

function ReserveForce_Thread()
			
	BlockOnCommand(ReserveForce.Produce_Force())
	ReserveForce.Set_Plan_Result(true)
	ReserveForce.Set_As_Goal_System_Removable(false)
		
	-- Give some time to accumulate money.
	tech_level = PlayerObject.Get_Tech_Level()
	min_credits = 2000
	if tech_level == 1 then
		min_credits = 3000
	elseif tech_level >= 2 then
		min_credits = 4000
	end
	
	max_sleep_seconds = 80
	current_sleep_seconds = 0
	while (PlayerObject.Get_Credits() < min_credits) and (current_sleep_seconds < max_sleep_seconds) do
		current_sleep_seconds = current_sleep_seconds + 1
		Sleep(1)
	end

	ScriptExit()
end
